:root {
    --main-color: #0d0a30;
    --main-color-i: #241f56;
    --main-color-gold: #f29701;
    --main-color-gold-08: rgba(249, 172, 57, 0.8);
    --main-color-light: rgba(235, 237, 240, 1);
    --main-color-sky: #0ab9bf;
    --width-sidebar: 280px;
}

@font-face {
    font-family: "Cairo";
    font-style: normal;
    font-weight: 200 1000;
    src: url(../fonts/Cairo-VariableFont_slntwght.ttf);
}

body {
    background: var(--main-color);
    font-family: "arial";
}
.bg-sky {
    background: var(--main-color-sky);
}
.text-sky {
    color: var(--main-color-sky);
}
.bg-gold {
    background: var(--main-color-gold);
}
.text-gold {
    color: var(--main-color-gold);
}
.border-gold {
    border-color: var(--main-color-gold);
}
.Skip-the-lag {
    font-style: italic;
}
.login-container::before {
    content: "";
    display: block;
    width: 300px;
    height: 300px;
    border-radius: 100%;
    background: linear-gradient(to bottom right, #530061, #0d0a30);
    position: absolute;
    top: 0%;
    left: 55%;
    z-index: -200;
}
.login-container::after {
    content: "";
    display: block;
    width: 200px;
    height: 200px;
    border-radius: 100%;
    background: linear-gradient(to bottom right, #530061, #0d0a30);
    position: absolute;
    bottom: 27%;
    right: 1%;
    z-index: -200;
}
.login-container-sub {
    background: #ff000000;
    backdrop-filter: blur(4px);
    color: var(--main-color-light) !important;
    border: 1px solid rgba(175, 175, 175, 1);

    border-image-source: linear-gradient(
            166.93deg,
            #afafaf 3.24%,
            rgba(96, 96, 96, 0) 96.43%
        ),
        linear-gradient(
            317.92deg,
            rgba(255, 255, 255, 0.6) 1.48%,
            rgba(0, 0, 0, 0) 67.95%
        );
    border-radius: 20px;
    box-shadow: -8px 4px 5px 0px rgba(0, 0, 0, 0.24);
}
.login-container-sub input[type="text"],
.login-container-sub input[type="password"],
.login-container-sub input[type="email"] {
    border: 1px solid rgb(235 237 240 / 23%);
    background: #ff000000;
    height: 50px;
    border-radius: 20px;
    color: var(--main-color-light);
}
.prefix-sa {
    height: 50px;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
    background: #580475;
    color: #fff;
    border: 0px;
}

.login-container-sub button[type="submit"] {
    background: linear-gradient(
        90.57deg,
        #628eff 9.91%,
        #8740cd 53.29%,
        #580475 91.56%
    );
    padding: 14px 10px;
    border-radius: 12px;
    width: 100%;
}
.Forgot-password {
    text-align: center;
    color: var(--main-color-light);
}
.login-container-sub fieldset {
    border-width: 1px 0px 0px !important;
}
.login-container-sub fieldset legend {
    float: unset;
}
.Skip-the-lag {
    padding: 14px 24px;
    border: 4px solid var(--main-color-light);
    display: inline-block;
    position: relative;
}
.Skip-the-lag::after {
    content: "";
    border-bottom: 3px dashed rgba(77, 77, 77, 1);
    padding: 30px;
    position: absolute;
    top: -34px;
    left: 100%;
    width: 48vw;
}

@media (min-width: 991.98px) {
    main {
        padding-left: 240px;
    }
}

.nav-pills > li > a {
    border-radius: 0;
}

#wrapper {
    padding-left: 0;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    overflow: hidden;
}

#wrapper.toggled {
    padding-left: 250px;
    overflow: hidden;
}

#sidebar-wrapper {
    z-index: 1000;
    position: fixed;
    left: var(--width-sidebar);
    width: 0;
    height: 100%;
    margin-left: calc(var(--width-sidebar) - calc(var(--width-sidebar) * 2));
    overflow-y: auto;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
#sidebar-wrapper::-webkit-scrollbar {
    width: 3px;
}
#sidebar-wrapper::-webkit-scrollbar-track {
    background: #1b164b;
}
#sidebar-wrapper::-webkit-scrollbar-thumb {
    background: var(--main-color);
}
#sidebar-wrapper::-webkit-scrollbar-thumb:hover {
    background: #1b164b;
}

#wrapper.toggled #sidebar-wrapper {
    width: var(--width-sidebar);
    z-index: 999999999;
}

#page-content-wrapper {
    position: absolute;
    padding: 15px;
    width: 100%;
    overflow-x: hidden;
}

.xyz {
    min-width: 360px;
}

#wrapper.toggled #page-content-wrapper {
    position: relative;
    margin-right: 0px;
}

.fixed-brand {
    width: auto;
    z-index: 999999999999;
}

.sidebar-nav {
    width: var(--width-sidebar);
    margin: 0;
    padding: 0;
    list-style: none;
    margin-top: 2px;
}

.sidebar-nav li {
    text-indent: 15px;
    margin-bottom: 2px;
}

.sidebar-nav li a {
    text-decoration: none;
    color: var(--main-color-light);
    margin-left: 16px;
    display: flex;
    justify-content: flex-start;
    font-family: arial;
    font-size: 0.9rem;
    font-weight: 500;
    text-align: left;
    padding-left: 10px;
    line-height: 50px;
}

.sidebar-nav li a:hover,
.sidebar-nav li a.active {
    background: var(--main-color-light);
    color: var(--main-color);
    border-radius: 10px 0px 0px 0px;
}

.sidebar-nav li a:hover img,
.sidebar-nav li a.active img {
    filter: invert(1);
}

.sidebar-nav li a:active,
.sidebar-nav li a:focus {
    text-decoration: none;
}

.sidebar-nav > .sidebar-brand {
    height: 65px;
    font-size: 18px;
    line-height: 60px;
}

.sidebar-nav > .sidebar-brand a {
    color: #999999;
}

.sidebar-nav > .sidebar-brand a:hover {
    color: var(--main-color-light);
    background: none;
}

.no-margin {
    margin: 0;
}

@media (max-width: 768px) {
    nav .form-search {
        display: none;
    }
    .Skip-the-lag::after {
        display: none;
    }
    .login-container::before {
        left: unset;
        right: unset;
    }
    .login-container::after {
        left: unset;
        right: unset;
    }
}
@media (max-width: 500px) {
    .NEClogo {
        display: none;
    }
}
.navbar.navbar-default .navbar-header.fixed-brand {
    order: 2;
}
.navbar.navbar-default .page-nav {
    order: 1;
    min-width: 350px;
}
.navbar.navbar-default .navmenu {
    order: 2;
}

@media (max-width: 980px) {
    .navbar.navbar-default {
        display: flex !important;
        flex-wrap: wrap !important;
        flex-direction: row;
        justify-content: space-between;
    }
    .navbar.navbar-default .navbar-header.fixed-brand {
        order: 1;
    }
    .navbar.navbar-default .page-nav {
        margin-top: 7px;
        order: 3;
    }
    .navbar.navbar-default .navmenu {
        order: 2;
    }
}
@media (min-width: 980px) {
    button.navbar-toggle {
        display: none !important;
    }
    #wrapper {
        padding-left: var(--width-sidebar);
    }
    .fixed-brand {
    }
    #wrapper.toggled {
        padding-left: 0;
    }
    #sidebar-wrapper {
        width: var(--width-sidebar);
    }
    #wrapper.toggled #sidebar-wrapper {
        width: var(--width-sidebar);
    }
    #wrapper.toggled-2 #sidebar-wrapper {
        width: 50px;
    }
    #wrapper.toggled-2 #sidebar-wrapper:hover {
        width: var(--width-sidebar);
    }
    #page-content-wrapper {
        padding: 0px 5px;
        position: relative;
        -webkit-transition: all 0.5s ease;
        -moz-transition: all 0.5s ease;
        -o-transition: all 0.5s ease;
        transition: all 0.5s ease;
    }
    #wrapper.toggled #page-content-wrapper {
        position: relative;
        margin-right: 0;
        padding-left: 250px;
    }
    #wrapper.toggled-2 #page-content-wrapper {
        position: relative;
        margin-right: 0;
        margin-left: -200px;
        -webkit-transition: all 0.5s ease;
        -moz-transition: all 0.5s ease;
        -o-transition: all 0.5s ease;
        transition: all 0.5s ease;
        width: auto;
    }
}

.form-search input,
.form-search button {
    color: var(--main-color-light);
    background: #0ab9bf26;
    height: 40px;
    border: 0px;
}
.form-search input {
    border-top-right-radius: 50px;
    border-bottom-right-radius: 50px;
}
.form-search button {
    border-top-left-radius: 50px;
    border-bottom-left-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 1px;
}

nav .part {
    margin: 0px 5px;
}
nav .part img {
    margin: 0px 5px;
}
#sidebar-wrapper {
    background: var(--main-color);
    overflow-x: hidden;
    padding-bottom: 40px;
}
.sidebar-top {
    padding-left: 16px;
    padding-top: 16px;
}
.sidebar-top .tech {
    color: var(--main-color-light);
    font-family: arial;
    font-size: 1.8rem;
    font-weight: 700;
    text-align: left;
    margin: 0px;
}
.sidebar-top .sys {
    font-family: arial;
    font-size: 1.5rem;
    font-weight: 700;
    text-align: left;
    color: var(--main-color-gold);
    line-height: 0;
    margin-bottom: 20px;
}
.sidebar-nav .info {
    color: var(--main-color-light);
    margin-left: 16px;
    padding-right: 40px;
    margin-top: 15px;
    margin-bottom: 15px;
}
.sidebar-nav .info img {
    border-radius: 50%;
    margin-right: 20px;
}
.btn-reset {
    background: linear-gradient(
        90.57deg,
        #e948c5 9.91%,
        #cd407b 53.29%,
        #75042d 91.56%
    ) !important;
}
.btn-gold {
    background: var(--main-color-gold-08);
    color: var(--main-color-light);
}
.btn-gold:hover {
    background: var(--main-color-gold);
}
.menu-hr {
    color: #d9d9d936;
    opacity: 1;
    width: 60%;
    text-align: center;
    margin-left: 16px;
}

.div-hr {
    position: relative;
}
.div-hr::after {
    content: "";
    position: absolute;
    left: 0%;
    top: 15%;
    height: 70%;
    width: 1px;
    background: #d9d9d936;
}
.div-title {
    color: var(--main-color-gold);
    font-weight: bold;
    font-size: 1.7rem;
    margin-bottom: 20px;
    place-self: flex-start;
}
.div-title a {
    font-size: 0.9rem;
    font-family: cursive;
}
.btn-mag {
    width: 170px;
    height: 37px;
    padding: 10px 0px;
    border-radius: 5px;
    background: #d5e5ff;
    color: #344bfd;
    font-weight: bold;
}
.btn-mag:hover {
    background: #344bfd;
    color: #d5e5ff;
}

.progress-container {
    width: 100%;
    height: 30px;
    color: white;
    position: relative;
    border-radius: 30px;
    background: linear-gradient(90deg, #d00c00 0%, #00ae4e 100%);
    direction: ltr;
}

.progress-container .progress-bar {
    width: 97%;
    height: 30px;
    color: white;
    position: relative;
    border-radius: 30px;
    background: linear-gradient(90deg, #d00c00 0%, #00ae4e 100%);
    overflow: inherit;
}

.progress-container .progress-indicator {
    font-weight: bold;
    position: absolute;
    top: -35px;
}

.progress-container .progress-indicator::after {
    content: "▼";
    display: inline-block;
    color: var(--main-color-gold);
    font-size: 18px;
    position: absolute;
    left: 0px;
    top: 13px;
}

.progress-container .progress-labels {
    display: flex;
    justify-content: space-between;
    margin-top: 5px;
    color: rgba(167, 167, 167, 1);
}

.progress-container .progress-labels span {
    font-size: 14px;
}
.progress .progress-bar {
    background-color: var(--main-color-sky);
}
.bg-card-blue {
    background: rgba(13, 152, 156, 1);
}
.bg-card-red {
    background: rgba(226, 78, 78, 1);
}
.card {
    border-radius: 14px;
    box-shadow: 0px 0px 0px;
    width: 100%;
}
.card .icon img {
    background: var(--main-color-light);
    padding: 5px;
    border-radius: 50%;
}

.page-nav a {
    color: var(--main-color-light);
    padding: 5px 12px;
    border-radius: 10px;
}
.page-nav a:hover {
    color: rgba(10, 185, 191, 1);
    background: rgba(10, 185, 191, 0.15);
    transition: all 0.5s;
}
.page-nav a.active {
    color: rgba(10, 185, 191, 1);
    background: rgba(10, 185, 191, 0.15);
}
.img-summary {
    width: 65px;
    height: 65px;
    border-radius: 50%;
    background: var(--main-color-gold-08);
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.summary img {
    width: 100%;
}

.summary .info h3 {
    color: var(--main-color-gold);
    font-weight: bold;
}
.border-gold {
    border: 1px solid var(--main-color-gold);
    border-radius: 30px;
}
.font-gold {
    color: var(--main-color-gold);
}
.dt-paging.paging_full_numbers button {
    background-color: var(--main-color-light) f !important;
    color: var(--main-color) !important;
    padding: 5px 11px !important;
    margin: 5px !important;
}
.dt-paging.paging_full_numbers button.current {
    background-color: var(--main-color-gold-08) !important;
}

table thead th {
    font-size: 1rem;
    color: var(--main-color-gold);
    padding: 14px 2px !important;
    text-align: center !important;
}
table tbody td {
    padding: 14px 2px !important;
    text-align: center !important;
}
.badge {
    font-size: 0.8rem;
}
table.dataTable.row-border > tbody > tr > *,
table.dataTable.display > tbody > tr > * {
    border-top: 1px solid var(--main-color-light) !important;
}
table.dataTable > thead > tr > th,
table.dataTable > thead > tr > td {
    border-bottom: 1px solid var(--main-color-light) !important;
}

.dt-search {
    position: relative;
}

.dt-search input {
    background: #e6e6e6 !important;
    border: 1px solid #aaa !important;
    border-radius: 10px !important;
    text-indent: 10px;
    color: var(--main-color) !important;
}

.dt-search .fa-search {
    position: absolute;
    top: 10px;
    left: auto;
    right: 10px;
    color: var(--main-color) !important;
}

.btns-tb {
    display: inline-block;
    margin: 0px 10px;
}
.btns-tb button {
    margin: 0px 6px;
}
.dt-end {
    display: flex !important;
    justify-content: flex-end !important;
}

.div-shadow {
    border-radius: 15px;
    background: rgba(10, 185, 191, 0.15);
    box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25);
}

.svg-container {
    position: relative;
    border-radius: 50%;
    overflow: hidden;
    width: 350px;
    height: 350px;
}
#speed {
    color: white;
    font-size: 25px;
    line-height: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    bottom: 40%;
    z-index: 1;
}
#meter-bg-bar {
    /* animation: dash 4s linear forwards infinite;
    stroke-dasharray: 615; */
    stroke-dasharray: 615;
    stroke-dashoffset: 615; /* تبدأ من الصفر كقيمة ابتدائية */
}
@keyframes dash {
    0%,
    100% {
        stroke-dashoffset: 615;
    }
    25% {
        stroke-dashoffset: 0;
    }
    50% {
        stroke-dashoffset: 307.5;
    }
    75% {
        stroke-dashoffset: 0;
    }
}

.btn-car {
    background: #888;
    border-radius: 50%;
    width: 45px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    margin: 5px 10px;
}
.btn-car-lock {
    background: #888;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    margin: 5px 10px;
}
.btn-car-unlock {
    background: #cff80b;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    margin: 5px 10px;
}
.btn-car-unlock:hover,
.btn-car-lock:hover {
    background: currentColor;
}
.btn-car-lock:hover img {
    filter: invert(1);
}
.icon-i {
    background: #2b2a2a;
    width: 53px;
    height: 47px;
    border-radius: 4px;
}

.icon-i span {
    background: url("../images/icons/Vector 49.png");
    background-position: center;
    display: block;
    width: 25px;
    background-repeat: no-repeat;
    background-size: auto;
    text-align: center;
    color: #000;
}

.dt-buttons > button {
    background: rgba(255, 255, 255, 0) !important;
    color: #fff !important;
    font-size: 1.5rem !important;
    padding: 0px !important;
}
.dt-buttons > button:hover {
    border: 0px !important;
    color: var(--main-color-gold) !important;
}
.dt-paging.paging_full_numbers {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-top: 15px;
}
.dt-info {
    margin-top: 15px;
}
.chart-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.chart-header .filter-container select {
    border: 1px solid #767676;
    background: transparent;
    padding: 6px 11px;
    color: var(--main-color-light);
    border-radius: 25px;
}
.chart-header .filter-container select option {
    background: var(--main-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    padding: 5px;
}
.main-select {
    border: 0px solid #767676;
    background: #0ab9bf26;
    padding: 6px 11px;
    color: #6e6e72;
    border-radius: 25px;
    height: 38px;
}
.main-select option {
    background: var(--main-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    padding: 5px;
    text-align: center;
}
.select2-selection.main-select {
    border: 0px solid #767676 !important;
    background: #0ab9bf26 !important;
    padding: 6px 11px !important;
}
.main-select .select2-selection__rendered {
    color: #6e6e72 !important;
}
.main-input {
    border: 0px solid #767676;
    padding: 6px 11px;
    color: #6e6e72;
    background: #0ab9bf26;
    height: 38px;
}
.main-select optgroup {
    text-align: center;
    background-color: #000;
    color: #ffff;
}
.map-list {
    position: absolute;
    min-width: 200px;
    width: 30%;
    left: 1%;
    top: 2%;
    background: #000000e3;
    padding: 5px;
    border-radius: 7px;
    overflow-y: scroll;
    z-index: 99;
    height: 60vh;
    transition: all 0.3s ease;
    opacity: 1;
}
.map-list.collapsed-map-list {
    height: 57px;
    transition: all 0.3s ease;
    opacity: 0.3;
}
.map-list::-webkit-scrollbar {
    width: 4px;
}
.map-list::-webkit-scrollbar-thumb {
    background: #040609;
}
.map-list::-webkit-scrollbar-track {
    background: #3d381b;
}

.map-list input {
    color: #6e6e72;
    background: #0ab9bf26;
}
.item-eq-list {
    margin-bottom: 20px;
    padding: 10px 3px;
    border-bottom: 1px solid #3d381b;
    display: flex;
    align-content: center;
    justify-content: space-between;
    align-items: center;
}
.item-eq-list img {
    width: 45px;
    padding: 10px;
    background: #3d381b;
    border-radius: 50%;
}
.item-eq-list button {
    background: #3d381b;
    color: #fff;
    border: 0px;
    border-radius: 12px;
    padding: 3px 18px;
}
.chart-header .chart-title {
    font-size: 1.3rem;
    font-weight: bold;
    color: var(--main-color-gold);
}

.details-control {
    padding: 5px;
    color: var(--main-color-gold);
}

tr.details td {
    background: #f9f9f9;
}
tr {
    cursor: pointer;
}
.info-extend {
    display: none;
}

.ach-progress-container {
    position: relative;
}

.ach-progress-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.ach-circle {
    width: 20px;
    height: 20px;
    background-color: #e0e0e0;
    border-radius: 50%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.ach-circle .ach-label {
    position: absolute;
    top: 27px;
    font-size: 0.9rem;
    color: var(--main-color-light);
}

.ach-check,
.ach-star {
    display: none;
}

.ach-circle.ach-active .ach-check {
    display: block;
    color: white;
    font-size: 1rem;
}

.ach-circle .ach-star {
    color: #ffc107;
    font-size: 2rem;
    background-color: #0d0a30;
    width: 20px;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.ach-line,
.ach-line-curr {
    position: absolute;
    top: 36%;
    left: 0;
    right: 0;
    height: 6px;
    background-color: #e0e0e0;
    z-index: -1;
    width: 100%;
}
.ach-line-curr {
    width: 0%;
    transition: width 0.3s ease;
}

.green-bar .ach-circle.ach-active {
    background-color: #32ba7c;
}
.green-bar .ach-circle.ach-active .ach-label {
    color: #32ba7c;
}
.green-bar .ach-line-curr {
    background-color: #32ba7c;
}

.yellow-bar .ach-circle.ach-active {
    background-color: #f29701;
}
.yellow-bar .ach-circle.ach-active .ach-label {
    color: #f29701;
}
.yellow-bar .ach-line-curr {
    background-color: #f29701;
}

@keyframes progress {
    0% {
        --percentage: 0;
    }
    100% {
        --percentage: calc(calc(var(--value) / var(--max)) * 100);
    }
}

@property --percentage {
    syntax: "<number>";
    inherits: true;
    initial-value: 0;
}

.progressbar-Speedometer2[role="progressbar"] {
    --percentage: calc(clac(var(--value) / var(--max)) * 100);
    --primary: #369;
    --secondary: #adf;
    --size: 210px;
    animation: progress 2s 0.5s forwards;
    width: var(--size);
    aspect-ratio: 2 / 1;
    position: relative;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.progressbar-Speedometer2[role="progressbar"]::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: conic-gradient(
        from 0.75turn at 50% 100%,
        #c9fdff 12deg,
        #76e9ec,
        #0ab9bf 135deg
    );

    mask: radial-gradient(at 50% 100%, white 55%, transparent 0);
    mask-mode: alpha;
    -webkit-mask: radial-gradient(at 50% 100%, #0000 55%, #000 0);
    -webkit-mask-mode: alpha;
    overflow: hidden;
    border-radius: 50% / 100% 100% 0 0;
}

.progressbar-Speedometer2[role="progressbar"]::after {
    content: "";
    width: 50%;
    height: 13%;
    position: absolute;
    bottom: 0%;
    left: 6%;
    background: radial-gradient(
            circle at 83.33333% 50%,
            #fff 4%,
            #c0c0c0 0 5%,
            #0000 0
        ),
        conic-gradient(
            at -20% 50%,
            #0000 88deg,
            #fff 88.25deg 91.75deg,
            #0000 92deg
        );
    transform-origin: 83.33333% 50%;
    transform: rotate(calc(var(--percentage) * 180deg / 100));
}

.mxspeed-progress .progressbar-Speedometer2[role="progressbar"]::before {
    background: linear-gradient(64deg, #32ba7c 24.94%, #dd0000 75.53%);
}

.mxload-progress .progressbar-Speedometer2[role="progressbar"]::before {
    background: linear-gradient(64deg, #32ba7c.94%, #f29701 75.53%);
}
.mxspeed-progress .status-txt-progress .number {
    background: linear-gradient(64deg, #32ba7c 24.94%, #dd0000 75.53%);
}
.mxload-progress .status-txt-progress .number {
    background: linear-gradient(64deg, #32ba7c.94%, #f29701 75.53%);
}
.mxload-progress .status-txt-progress .number,
.mxspeed-progress .status-txt-progress .number {
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 4rem !important;
    display: inline-block;
    margin: 0px;
    padding: 0px;
}
.mxload-progress .status-txt-progress small,
.mxspeed-progress .status-txt-progress small {
    margin-top: -2rem;
}
.mxload-progress .status-txt-progress,
.mxspeed-progress .status-txt-progress {
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
}

.ticker-wrapper {
    width: 100%;
    color: white;
    overflow: hidden;
    box-sizing: border-box;
    padding: 10px 0;
    border-radius: 3px;
}

.ticker {
    display: flex;
    width: 100%;
    animation: ticker 40s linear infinite;
}

.ticker__item {
    display: inline-block;
    padding: 0 50px;
    white-space: nowrap;
}

@keyframes ticker {
    0% {
        transform: translateX(100%);
    }
    100% {
        transform: translateX(-100%);
    }
}

.loader-map {
    width: 48px;
    height: 48px;
    display: block;
    margin: 20px auto;
    box-sizing: border-box;
    position: relative;
}
.loader-map::after {
    content: "";
    box-sizing: border-box;
    width: 48px;
    height: 48px;
    left: 0;
    bottom: 0;
    position: absolute;
    border-radius: 50% 50% 0;
    border: 15px solid #fff;
    transform: rotate(45deg) translate(0, 0);
    box-sizing: border-box;
    animation: animMarker-map 0.4s ease-in-out infinite alternate;
}
.loader-map::before {
    content: "";
    box-sizing: border-box;
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    top: 150%;
    width: 24px;
    height: 4px;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.2);
    animation: animShadow-map 0.4s ease-in-out infinite alternate;
}

@keyframes animMarker-map {
    0% {
        transform: rotate(45deg) translate(5px, 5px);
    }
    100% {
        transform: rotate(45deg) translate(-5px, -5px);
    }
}

@keyframes animShadow-map {
    0% {
        transform: scale(0.5);
    }
    100% {
        transform: scale(1);
    }
}

.loader-compass {
    width: 20px;
    height: 20px;
    position: relative;
    background: #fff;
    border-radius: 50%;
    transform: rotate(45deg);
    animation: rotate 2s linear infinite;
    display: block;
}
.loader-compass:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    width: 10px;
    height: 20px;
    background: #b56c02;
    transform: skew(5deg, 60deg) translate(-50%, -5%);
}

.loader-compass:after {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background: #fff;
    transform: translate(-50%, -50%);
}

@keyframes rotate {
    0% {
        transform: rotate(45deg);
    }
    30%,
    50%,
    70% {
        transform: rotate(230deg);
    }
    40%,
    60%,
    80% {
        transform: rotate(240deg);
    }
    100% {
        transform: rotate(245deg);
    }
}

.maplibregl-popup-close-button {
    color: #fff;
    font-size: 12px;
}

.loader {
    width: 60px;
    height: 40px;
    position: relative;
    display: inline-block;
    --base-color: #263238;
    padding: 5px;
}
.loader::before {
    content: "";
    left: 0;
    top: 0;
    position: absolute;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background-color: #fff;
    background-image: radial-gradient(
            circle 8px at 18px 18px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 18px 0px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 0px 18px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 36px 18px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 18px 36px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 30px 5px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 30px 5px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 30px 30px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 5px 30px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 4px at 5px 5px,
            var(--base-color) 100%,
            transparent 0
        );
    background-repeat: no-repeat;
    box-sizing: border-box;
    animation: rotationBack 3s linear infinite;
}
.loader::after {
    content: "";
    left: 35px;
    top: 15px;
    position: absolute;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background-color: #fff;
    background-image: radial-gradient(
            circle 5px at 12px 12px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 12px 0px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 0px 12px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 24px 12px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 12px 24px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 20px 3px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 20px 3px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 20px 20px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 3px 20px,
            var(--base-color) 100%,
            transparent 0
        ),
        radial-gradient(
            circle 2.5px at 3px 3px,
            var(--base-color) 100%,
            transparent 0
        );
    background-repeat: no-repeat;
    box-sizing: border-box;
    animation: rotationBack 4s linear infinite reverse;
}
@keyframes rotationBack {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(-360deg);
    }
}

.infozone {
    position: absolute;
    left: 1%;
    top: 1%;
    border: 1px solid #fff;
    padding: 8px;
    border-radius: 7px;
    width: 300px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    background: #00000061;
}

.a-btn {
    background: #02a499 !important;
    color: #ffffff !important;
    width: 125px !important;
    height: 75px;
    box-shadow: 0px 0px 0px #000;
}
.a-btn.active {
    background: transparent !important;
    color: #fff !important;
}
.table-bordered,
.table-bordered td,
.table-bordered th {
    border: 1px solid var(--main-color-i) !important;
}

.p-set {
    background: var(--main-color-i);
    border-radius: 7px;
    position: relative;
}
.p-set::before {
    content: "";
    position: absolute;
    top: -12px;
    right: 50%;
    content: "";
    border-top: 20px solid var(--main-color-i);
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    transform: rotate(180deg);
}
table.dataTable thead > tr > th.dt-orderable-asc span.dt-column-order:before,
table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:before,
table.dataTable thead > tr > th.dt-orderable-asc span.dt-column-order:after,
table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:after {
    display: none !important;
}
table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before,
table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control:before {
    border-left: 10px solid var(--main-color-gold) !important;
}

@media (max-width: 576px) {
    :root {
        --width-sidebar: 100%;
    }

    #page-content-wrapper {
        margin: 0px !important;
        padding: 5px !important;
    }
    .xyz {
        padding: 0px;
    }
    .xyz > :first-child {
        align-items: center;
        justify-items: center;
        justify-content: center;
    }
    .dt-column-title {
        font-size: 0.7rem;
    }
}

.filter_group.select2-selection.select2-selection--single {
    background-color: #e6e6e6 !important;
    min-height: 36px !important;
    border-radius: 10px !important;
}
.filter_group {
    width: 150px !important;
}

.mypop {
    display: inline-table;
    border-collapse: collapse;
    width: 99%;
}

.mypop .p-item {
    border: 1px solid #ffffff;
    display: table-row;
    border-collapse: collapse;
}
.mypop .p-item span {
    display: table-cell;
    border: 1px solid #fff;
    text-align: center;
    padding: 3px 2px;
}
.maplibregl-popup-content {
    width: 400px !important;
    background: #0d0a30 !important;
    border-radius: 30px !important;
    border: 7px solid #fff;
    padding-top: 30px !important;
}
.maplibregl-popup-close-button {
    font-size: 2rem;
    margin-top: 5px;
    margin-right: 8px;
    color: #fff;
    background: #ff0404 !important;
    border-radius: 50% !important;
    padding: 2px;
}
#reportrange {
    background: #0c2545;
    height: 38px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 15px;
    border-radius: 6px;
    cursor: pointer;
}
.daterangepicker .ranges,
.daterangepicker .drp-calendar {
    color: #000;
}

.dt-length select option {
    color: #000 !important;
}
.dt-column-title {
    font-size: 0.9rem;
}

/* #Table_wrapper{
    max-height: 53vh;
    overflow-y: scroll;
    overflow-x: hidden;
} */
.dt-scroll-body::-webkit-scrollbar {
    width: 5px;
}
.dt-scroll-body::-webkit-scrollbar-track {
    background: #1b164b;
}
.dt-scroll-body::-webkit-scrollbar-thumb {
    background: var(--main-color);
}
.dt-scroll-body::-webkit-scrollbar-thumb:hover {
    background: #1b164b;
}

div.dt-container select.dt-input {
    padding: 0px 9px !important;
    margin-right: 4px !important;
    margin-left: 5px !important;
    border: 1px solid #ffffff17 !important;
    border-radius: 7px !important;
}

.d-show-print {
    display: none;
}

@media print {
    @page {
        size: A4;
        margin: 0;
    }
    body {
        color: #fff;
    }
    #sidebar-wrapper {
        display: none !important;
    }
    #wrapper {
        width: 100% !important;
        padding-left: 0px !important;
        padding-right: 0px !important;
        margin-left: 0px !important;
        margin-right: 0px !important;
    }
    #page-content-wrapper {
        padding-left: 5px !important;
        padding-right: 5px !important;
        margin-left: 0px !important;
        margin-right: 0px !important;
    }
    .d-none-print {
        display: none !important;
    }
    .d-show-print {
        display: flex !important;
        margin-top: 1rem;
        margin-bottom: 1.2rem;
    }
    .chart-container {
        width: 100% !important;
    }
    td,
    p,
    div {
        color: #000 !important;
    }
    .logo-print img {
        filter: invert(1);
    }
    body {
        background-color: #fff !important;
    }
    .text-white {
        color: #000 !important;
    }
    .div-shadow {
        border-radius: 15px;
        background: #fff !important ;
        box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.25);
    }
    canvas {
        -webkit-print-color-adjust: exact;
        print-color-adjust: exact;

        width: 100% !important;
        background-color: var(--main-color) !important;
        border-radius: 5px;
        padding: 8px;
    }
    .break_page {
        page-break-after: always;
    }
}

[data-theme="light"] {
    --main-color: #ffffff;
    --main-color-i: #f8f9fa;
    --main-color-gold: #f29701;
    --main-color-gold-08: rgba(249, 172, 57, 0.8);
    --main-color-light: #0d0a30;
    --main-color-sky: #0ab9bf;
    --main-bg-color: #f8f9fa;
    --main-text-color: #000000;
    --main-border-color: #ddd;
}

[data-theme="light"] .text-dark {
    color: var(--main-text-color) !important;
}

[data-theme="light"] .text-light {
    color: var(--main-text-color) !important;
}

[data-theme="light"] .text-white {
    color: var(--main-text-color) !important;
}

[data-theme="light"] .text-black {
    color: var(--main-color) !important;
}

[data-theme="light"] .bg-dark {
    background-color: var(--main-bg-color) !important;
}

[data-theme="light"] .bg-light {
    background-color: var(--main-color-light) !important;
}

[data-theme="light"] .bg-white {
    background-color: var(--main-bg-color) !important;
}

[data-theme="light"] .bg-black {
    background-color: var(--main-color-light) !important;
}

[data-theme="light"] .sidebar-nav .waves-effect img {
    filter: brightness(0);
}

[data-theme="light"] .waves-effect.active img,
[data-theme="light"] .waves-effect:hover img {
    filter: brightness(1);
}

[data-theme="light"] .div-shadow .page-nav a {
    color: var(--main-color);
    padding: 5px 12px;
    border-radius: 10px;
}
[data-theme="light"] .div-shadow {
    border-radius: 15px;
    background: rgb(13 10 48);
    box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25);
}
[data-theme="light"] .img-logo{
    filter: invert(1);
}
[data-theme="light"] .div-shadow h1, 
[data-theme="light"] .div-shadow h2,
[data-theme="light"] .div-shadow h3,
[data-theme="light"] .div-shadowh4,
[data-theme="light"] .div-shadow h5,
[data-theme="light"] .div-shadow h6,
[data-theme="light"] .div-shadow label
{
color: #fff !important;
}